Show / Hide Table of Contents

# Struct UIModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct UIModule

### Fields

| Improve this Doc View Source

#### RaptureAtkModule

##### Declaration

    [Obsolete("Use GetRaptureAtkModule", true)]
    public RaptureAtkModule RaptureAtkModule

##### Field Value

Type | Description
--- | ---
RaptureAtkModule |

| Improve this Doc View Source

#### SystemConfig

##### Declaration

    public void *SystemConfig

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### unk

##### Declaration

    public void *unk

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnkObj1

##### Declaration

    public UIModule.Unk1 UnkObj1

##### Field Value

Type | Description
--- | ---
UIModule.Unk1 |

| Improve this Doc View Source

#### UnkObj2

##### Declaration

    public UIModule.Unk2 UnkObj2

##### Field Value

Type | Description
--- | ---
UIModule.Unk2 |

| Improve this Doc View Source

#### UnkObj3

##### Declaration

    public UIModule.Unk3 UnkObj3

##### Field Value

Type | Description
--- | ---
UIModule.Unk3 |

| Improve this Doc View Source

#### vfunc

##### Declaration

    public void **vfunc

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### ExecuteMainCommand(UInt32)

##### Declaration

    public void ExecuteMainCommand(uint command)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | command |

| Improve this Doc View Source

#### GetAcquaintanceModule()

##### Declaration

    public void *GetAcquaintanceModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetAddonConfig()

##### Declaration

    public void *GetAddonConfig()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetAgentModule()

##### Declaration

    public AgentModule*GetAgentModule()

##### Returns

Type | Description
--- | ---
AgentModule* |

| Improve this Doc View Source

#### GetConfigModule()

##### Declaration

    public ConfigModule*GetConfigModule()

##### Returns

Type | Description
--- | ---
ConfigModule* |

| Improve this Doc View Source

#### GetExcelModule()

##### Declaration

    public ExcelModuleInterface*GetExcelModule()

##### Returns

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### GetFlagStatusModule()

##### Declaration

    public void *GetFlagStatusModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetItemFinderModule()

##### Declaration

    public void *GetItemFinderModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetItemOrderModule()

##### Declaration

    public void *GetItemOrderModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetLetterDataModule()

##### Declaration

    public void *GetLetterDataModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetLogFilterConfig()

##### Declaration

    public void *GetLogFilterConfig()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetPronounModule()

##### Declaration

    public PronounModule*GetPronounModule()

##### Returns

Type | Description
--- | ---
PronounModule* |

| Improve this Doc View Source

#### GetRaptureAtkModule()

##### Declaration

    public RaptureAtkModule*GetRaptureAtkModule()

##### Returns

Type | Description
--- | ---
RaptureAtkModule* |

| Improve this Doc View Source

#### GetRaptureGearsetModule()

##### Declaration

    public RaptureGearsetModule*GetRaptureGearsetModule()

##### Returns

Type | Description
--- | ---
RaptureGearsetModule* |

| Improve this Doc View Source

#### GetRaptureHotbarModule()

##### Declaration

    public RaptureHotbarModule*GetRaptureHotbarModule()

##### Returns

Type | Description
--- | ---
RaptureHotbarModule* |

| Improve this Doc View Source

#### GetRaptureLogModule()

##### Declaration

    public RaptureLogModule*GetRaptureLogModule()

##### Returns

Type | Description
--- | ---
RaptureLogModule* |

| Improve this Doc View Source

#### GetRaptureMacroModule()

##### Declaration

    public RaptureMacroModule*GetRaptureMacroModule()

##### Returns

Type | Description
--- | ---
RaptureMacroModule* |

| Improve this Doc View Source

#### GetRaptureShellModule()

##### Declaration

    public RaptureShellModule*GetRaptureShellModule()

##### Returns

Type | Description
--- | ---
RaptureShellModule* |

| Improve this Doc View Source

#### GetRaptureTeleportHistory()

##### Declaration

    public void *GetRaptureTeleportHistory()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetRaptureTextModule()

##### Declaration

    public RaptureTextModule*GetRaptureTextModule()

##### Returns

Type | Description
--- | ---
RaptureTextModule* |

| Improve this Doc View Source

#### GetRaptureUiDataModule()

##### Declaration

    public RaptureUiDataModule*GetRaptureUiDataModule()

##### Returns

Type | Description
--- | ---
RaptureUiDataModule* |

| Improve this Doc View Source

#### GetRecommendEquipModule()

##### Declaration

    public RecommendEquipModule*GetRecommendEquipModule()

##### Returns

Type | Description
--- | ---
RecommendEquipModule* |

| Improve this Doc View Source

#### GetRetainerCommentModule()

##### Declaration

    public RetainerCommentModule*GetRetainerCommentModule()

##### Returns

Type | Description
--- | ---
RetainerCommentModule* |

| Improve this Doc View Source

#### GetRetainerTaskDataModule()

##### Declaration

    public void *GetRetainerTaskDataModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUI3DModule()

##### Declaration

    public UI3DModule*GetUI3DModule()

##### Returns

Type | Description
--- | ---
UI3DModule* |

| Improve this Doc View Source

#### GetUIInputData()

##### Declaration

    public void *GetUIInputData()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUIInputModule()

##### Declaration

    public void *GetUIInputModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUiSavePackModule()

##### Declaration

    public void *GetUiSavePackModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### HideGoldSaucerReward()

##### Declaration

    public void HideGoldSaucerReward()

| Improve this Doc View Source

#### PlayChatSoundEffect(UInt32)

##### Declaration

    public static void PlayChatSoundEffect(uint effectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | effectId |

| Improve this Doc View Source

#### PlaySound(UInt32, Int64, Int64, Byte)

##### Declaration

    public static bool PlaySound(uint effectId, long a2, long a3, byte a4)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | effectId |
System.Int64 | a2 |
System.Int64 | a3 |
System.Byte | a4 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ShowAddonKillStreakForManeuvers(Int32, Int32)

##### Declaration

    public void ShowAddonKillStreakForManeuvers(int streak, int streakType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | streak |
System.Int32 | streakType |

| Improve this Doc View Source

#### ShowAreaText(String, Int32, Boolean, Boolean, UInt32)

##### Declaration

    public void ShowAreaText(string text, int layer = 0, bool isTop = true, bool isFast = false, uint logMessageId = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Int32 | layer |
System.Boolean | isTop |
System.Boolean | isFast |
System.UInt32 | logMessageId |

| Improve this Doc View Source

#### ShowBalloonMessage(Single*, Byte, UInt32)

##### Declaration

    public void ShowBalloonMessage(float *worldPosition, byte pz, uint textImage)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | worldPosition |
System.Byte | pz |
System.UInt32 | textImage |

| Improve this Doc View Source

#### ShowBattleTalk(String, String, Single, Byte)

##### Declaration

    public void ShowBattleTalk(string name, string text, float duration, byte style)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | text |
System.Single | duration |
System.Byte | style |

| Improve this Doc View Source

#### ShowBattleTalkImage(String, String, Single, UInt32, Byte)

##### Declaration

    public void ShowBattleTalkImage(string name, string text, float duration, uint image, byte style)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | text |
System.Single | duration |
System.UInt32 | image |
System.Byte | style |

| Improve this Doc View Source

#### ShowBattleTalkSound(String, String, Single, Int32, Byte)

##### Declaration

    public void ShowBattleTalkSound(string name, string text, float duration, int sound, byte style)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | text |
System.Single | duration |
System.Int32 | sound |
System.Byte | style |

| Improve this Doc View Source

#### ShowErrorText(String, Boolean)

##### Declaration

    public void ShowErrorText(string text, bool forceVisible = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Boolean | forceVisible |

| Improve this Doc View Source

#### ShowGetAction(ActionType, UInt32)

##### Declaration

    public void ShowGetAction(ActionType actionType, uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |

| Improve this Doc View Source

#### ShowGoldSaucerReward(Byte, UInt32, UInt32, UInt32)

##### Declaration

    public void ShowGoldSaucerReward(byte type, uint mgp, uint rewardItemId, uint rewardItemCount)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | type |
System.UInt32 | mgp |
System.UInt32 | rewardItemId |
System.UInt32 | rewardItemCount |

| Improve this Doc View Source

#### ShowGrandCompany1(UInt32, UInt32, Boolean)

##### Declaration

    public void ShowGrandCompany1(uint gc, uint gcRank, bool playSound = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | gc |
System.UInt32 | gcRank |
System.Boolean | playSound |

| Improve this Doc View Source

#### ShowHousingHarvest(UInt32, Int32, UInt32)

##### Declaration

    public void ShowHousingHarvest(uint itemId, int amount, uint image = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
System.Int32 | amount |
System.UInt32 | image |

| Improve this Doc View Source

#### ShowImage(UInt32, Boolean, Int32, Boolean)

##### Declaration

    public void ShowImage(uint imageId, bool useLocalePath = false, int displayType = 0, bool playSound = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | imageId |
System.Boolean | useLocalePath |
System.Int32 | displayType |
System.Boolean | playSound |

| Improve this Doc View Source

#### ShowLocationTitle(Int32, Boolean, Boolean, Int32*)

##### Declaration

    public void ShowLocationTitle(int territoryId, bool zoomAnim, bool restartAnim, int *language)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | territoryId |
System.Boolean | zoomAnim |
System.Boolean | restartAnim |
System.Int32* | language |

| Improve this Doc View Source

#### ShowPoisonText(String, Int32)

##### Declaration

    public void ShowPoisonText(string text, int layer = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Int32 | layer |

| Improve this Doc View Source

#### ShowStreak(Int32, Int32)

##### Declaration

    public void ShowStreak(int streak, int streakType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | streak |
System.Int32 | streakType |

| Improve this Doc View Source

#### ShowText(Int32, String, UInt32, Boolean, UInt32, Boolean)

##### Declaration

    public void ShowText(int position, string text, uint iconOrCheck1 = 0U, bool playSound = true, uint iconOrCheck2 = 0U, bool alsoPlaySound = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | position |
System.String | text |
System.UInt32 | iconOrCheck1 |
System.Boolean | playSound |
System.UInt32 | iconOrCheck2 |
System.Boolean | alsoPlaySound |

| Improve this Doc View Source

#### ShowTextChain(Int32, Int32)

##### Declaration

    public void ShowTextChain(int chain, int hqChain = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | chain |
System.Int32 | hqChain |

| Improve this Doc View Source

#### ShowTextClassChange(UInt32)

##### Declaration

    public void ShowTextClassChange(uint classJobId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | classJobId |

| Improve this Doc View Source

#### ShowTextRelicAtma(UInt32)

##### Declaration

    public void ShowTextRelicAtma(uint itemId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |

| Improve this Doc View Source

#### ToggleUi(UIModule.UiFlags, Boolean, Boolean)

##### Declaration

    public void ToggleUi(UIModule.UiFlags flags, bool enable, bool unknown = true)

##### Parameters

Type | Name | Description
--- | --- | ---
UIModule.UiFlags | flags |
System.Boolean | enable |
System.Boolean | unknown |